- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

EVP_PKEY_meth_get_count, EVP_PKEY_meth_get0, EVP_PKEY_meth_get0_info - enumerate public key methods

# SYNOPSIS

     #include <openssl/evp.h>

     size_t EVP_PKEY_meth_get_count(void);
     const EVP_PKEY_METHOD *EVP_PKEY_meth_get0(size_t idx);
     void EVP_PKEY_meth_get0_info(int *ppkey_id, int *pflags,
                                  const EVP_PKEY_METHOD *meth);

# DESCRIPTION

EVP_PKEY_meth_count() returns a count of the number of public key methods available: it includes standard methods and any methods added by the application.

EVP_PKEY_meth_get0() returns the public key method idx. The value of idx must be between zero and EVP_PKEY_meth_get_count() - 1.

EVP_PKEY_meth_get0_info() returns the public key ID (a NID) and any flags associated with the public key method *meth.

# RETURN VALUES

EVP_PKEY_meth_count() returns the number of available public key methods.

EVP_PKEY_meth_get0() return a public key method or NULL if idx is out of range.

EVP_PKEY_meth_get0_info() does not return a value.

# SEE ALSO

EVP_PKEY_new(3)

# COPYRIGHT

Copyright 2002-2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.